Package org.eclipse.jface.viewers

# Class ColumnLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.CellLabelProvider
org.eclipse.jface.viewers.ColumnLabelProvider

All Implemented Interfaces:
  `IBaseLabelProvider`, `IColorProvider`, `IFontProvider`, `ILabelProvider`, `IToolTipProvider`

Direct Known Subclasses:
  `PropertyColumnLabelProvider`, `TableColumnViewerLabelProvider`

public class ColumnLabelProvider extends CellLabelProvider implements IFontProvider, IColorProvider, ILabelProvider
The ColumnLabelProvider is the label provider for viewers that have column support such as `TreeViewer` and `TableViewer`

This classes is intended to be subclassed

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`ColumnLabelProvider()`

## Method Summary

Modifier and Type
Method
Description
`static ColumnLabelProvider`
`createImageProvider(Function<Object,Image> imageFunction)`
Creates a `ColumnLabelProvider` which implements the `getImage(java.lang.Object)` method by calling the argument function.
`static ColumnLabelProvider`
`createTextImageProvider(Function<Object,String> textFunction, Function<Object,Image> imageFunction)`
Creates a `ColumnLabelProvider` which implements both the `getText(java.lang.Object)` and `getImage(java.lang.Object)` methods by calling the argument functions.
`static ColumnLabelProvider`
`createTextProvider(Function<Object,String> textFunction)`
Creates a `ColumnLabelProvider` which implements the `getText(java.lang.Object)` method by calling the argument function.
`Color`
`getBackground(Object element)`
Provides a background color for the given element.
`Font`
`getFont(Object element)`
Provides a font for the given element.
`Color`
`getForeground(Object element)`
Provides a foreground color for the given element.
`Image`
`getImage(Object element)`
Returns the image for the label of the given element.
`String`
`getText(Object element)`
Returns the text for the label of the given element.
`void`
`update(ViewerCell cell)`
Update the label for cell.

### Methods inherited from class org.eclipse.jface.viewers.CellLabelProvider

`dispose, getToolTipBackgroundColor, getToolTipDisplayDelayTime, getToolTipFont, getToolTipForegroundColor, getToolTipImage, getToolTipShift, getToolTipStyle, getToolTipText, getToolTipTimeDisplayed, initialize, useNativeToolTip`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Constructor Details

### ColumnLabelProvider

public ColumnLabelProvider()

## Method Details

### update

public void update(ViewerCell cell)
Description copied from class: `CellLabelProvider`
Update the label for cell.

Specified by:
  `update` in class `CellLabelProvider`
Parameters:
  `cell` - `ViewerCell`

### getFont

public Font getFont(Object element)
Description copied from interface: `IFontProvider`
Provides a font for the given element.

Specified by:
  `getFont` in interface `IFontProvider`
Parameters:
  `element` - the element
Returns:
  the font for the element, or `null` to use the default font

### getBackground

public Color getBackground(Object element)
Description copied from interface: `IColorProvider`
Provides a background color for the given element.

Specified by:
  `getBackground` in interface `IColorProvider`
Parameters:
  `element` - the element
Returns:
  the background color for the element, or `null` to use the default background color

### getForeground

public Color getForeground(Object element)
Description copied from interface: `IColorProvider`
Provides a foreground color for the given element.

Specified by:
  `getForeground` in interface `IColorProvider`
Parameters:
  `element` - the element
Returns:
  the foreground color for the element, or `null` to use the default foreground color

### getImage

public Image getImage(Object element)
Description copied from interface: `ILabelProvider`
Returns the image for the label of the given element. The image is owned by the label provider and must not be disposed directly. Instead, dispose the label provider when no longer needed.

Specified by:
  `getImage` in interface `ILabelProvider`
Parameters:
  `element` - the element for which to provide the label image
Returns:
  the image used to label the element, or `null` if there is no image for the given object

### getText

public String getText(Object element)
Description copied from interface: `ILabelProvider`
Returns the text for the label of the given element.

Specified by:
  `getText` in interface `ILabelProvider`
Parameters:
  `element` - the element for which to provide the label text
Returns:
  the text string used to label the element, or `null` if there is no text label for the given object

### createTextProvider

public static ColumnLabelProvider createTextProvider(Function<Object,String> textFunction)
Creates a `ColumnLabelProvider` which implements the `getText(java.lang.Object)` method by calling the argument function.

Parameters:
  `textFunction` - the function which returns the text
Returns:
  The new ColumnLabelProvider
Since:
  3.19

### createImageProvider

public static ColumnLabelProvider createImageProvider(Function<Object,Image> imageFunction)
Creates a `ColumnLabelProvider` which implements the `getImage(java.lang.Object)` method by calling the argument function.

Parameters:
  `imageFunction` - the function which returns the image
Returns:
  The new ColumnLabelProvider
Since:
  3.19

### createTextImageProvider

public static ColumnLabelProvider createTextImageProvider(Function<Object,String> textFunction, Function<Object,Image> imageFunction)
Creates a `ColumnLabelProvider` which implements both the `getText(java.lang.Object)` and `getImage(java.lang.Object)` methods by calling the argument functions.

Parameters:
  `textFunction` - the function which returns the text
  `imageFunction` - the function which returns the image
Returns:
  The new ColumnLabelProvider
Since:
  3.19